Noeud Duniter sur Ubuntu 32bit

Bonjour tout le monde,
je suis en passe d’être certifié sur g1, et ai essayé d’installer un noeud duniter sur ma machine linux (ubuntu16.04 32bit).
j’ai suivi le tuto, et en définitive, rien ne se passe.

Voici une copie du terminal :
texier@texier-Satellite-Pro-L350:~$ wget -qO- https://raw.githubusercontent.com/duniter/duniter/master/install.sh | bash
=> duniter is already installed in /home/texier/.duniter, trying to update using git
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@^1.0.0 (node_modules/chokidar/node_modules/fsevents):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.1.1: wanted {“os”:“darwin”,“arch”:“any”} (current: {“os”:“linux”,“arch”:“ia32”})

=> Source string already in /home/texier/.bashrc
===> !Run the command ‘source /home/texier/.bashrc’ to start using duniter! <===
texier@texier-Satellite-Pro-L350:~$ source /home/texier/.bashrc
texier@texier-Satellite-Pro-L350:~$

Et voilà, c’est tout, le terminal attend une nouvelle commande, et je ne vois rien se lancer.

Pouvez vous m’aider?

Salut!
Pour installer pour de bon, il faudrait que tu lances un « sudo bash » plutôt que « bash » tout court à mon avis. Et il ne s’agit là que de l’étape d’installation elle-même. Il faut ensuite lancer des commandes duniter pour effectivement lancer et configurer ton nœud, comme « duniter config », « duniter start », « duniter webstart ».
Mais avant d’aller plus loin, juste une petite question: ne préférerais-tu pas installer la version desktop? Sur ubuntu, c’est vraiment facile: tu télécharges duniter-desktop, tu ouvres le fichier téléchargé avec le « software center » (le programme qui permet d’installer des logiciels sous ubuntu, il me semble que dans la version française, ça s’appelle « logithèque »), et tu installes (sinon tu peux bien sûr installer en ligne de commande si tu te sens d’attaque). Une fois installé, tu peux démarrer la version desktop en ligne de commande en tapant simplement « duniter-desktop ». Et tout se fait par l’interface graphique, c’est très convivial.

Salut, et merci pour ta réponse rapide.
Je n’ai pas installé le paquet via le software center car je suis en 32bit, et j’ai cru comprendre qu’aucun lien n’y correspondait sur la page que tu m’as indiquée.

Ce que je comprend de ton message, c’est que Duniter est déjà installé sur ma machine.
En voici d’ailleurs la preuve via mon terminal :

texier@texier-Satellite-Pro-L350:~ duniter start
Starting duniter_default daemon…
duniter_default daemon started. PID: 2043
texier@texier-Satellite-Pro-L350:~ duniter config
2017-04-05T17:38:08+02:00 - debug: Plugging file system…
2017-04-05T17:38:08+02:00 - debug: Loading conf…
2017-04-05T17:38:08+02:00 - debug: Configuration saved.
texier@texier-Satellite-Pro-L350:~ duniter webstart
duniter_default daemon already running. PID: 2043

Duniter se lance, mais sans aucune interface graphique. C’est qu’il n’y en a pas dans ce que j’ai installé?

Je suis complètement passé à côté du « détail » que tu étais en 32 bits. :slight_smile:
Tu as l’air bien parti, essaie:

duniter stop && duniter webstart

Ensuite, avec un navigateur, il ne te reste plus qu’à visiter http://localhost:9220 et tu auras l’équivalent de l’interface graphique.

1 « J'aime »

ok on avance merci beaucoup,
donc, je parviens à stopper duniter sans problème, mais au redémarrage en mode web, il se stoppe aussi directement…

texier@texier-Satellite-Pro-L350:~duniter stop
duniter_default daemon is not running
texier@texier-Satellite-Pro-L350:~ duniter webstart
Starting duniter_default daemon…
duniter_default daemon stopped.

et du coup forcément mon navigateur indique que l’adresse donnée ne peut être atteinte…

Il n’y a pas un chat quelque part, vu que l’on semble connectés en même temps?

Si, là: https://chat.duniter.org/

Bon j’ai fait quelques tests, et je te déconseille l’installation par install.sh avant la duniter@1.2.0, qui sortira d’ici quelques jours. Sinon tu peux aussi tester les livrables 64bits si tu trouves une machine compatible.

ok ça marche, j’attends patiemment la nouvelle version alors !

Elle est disponible :slight_smile:

yes ! :slight_smile:

Hop là je m’avance, attends donc 10h30 … la version est bien sortie mais tu as besoin d’un correctif spécifique que je n’ai pas livré dans install.sh.

En effet, cela n’avait pas fonctionné.
Mais là, tout semble bien parti !
j’ai mis à jour, et je suis sur http://localhost:9220 en train de me synchroniser avec g1.
Merci pour ton boulot.
Me reste plus qu’à être certifié :wink:

1 « J'aime »